import { Infra } from './Infra';
import { MetaTargetServiceType } from '../meta/MetaTargetServiceType';
import { InfraHostPort } from './InfraHostPort';
import { MetaCryptoType } from '../meta/MetaCryptoType';

export interface InfraService extends Infra {
  metaTargetServiceType?: MetaTargetServiceType;
  infraHostPort?: InfraHostPort;
  metaCryptoType?: MetaCryptoType;
  description?: string;
}