
export interface MetaNoAuthProbeStatus {
  id?: number;
  key?: string;
  name?: string;
  createDate?: Date;
}

export enum MetaNoAuthProbeStatusEnum {
  ACCEPTED = 'ACCEPTED',
  DENIED = 'DENIED',
  PROCESSING = 'PROCESSING',
}

export const toMetaNoAuthProbeStatusEnum = (v: MetaNoAuthProbeStatus): MetaNoAuthProbeStatusEnum => {
  return MetaNoAuthProbeStatusEnum[v.key];
}

export const toMetaNoAuthProbeStatus = (v: MetaNoAuthProbeStatusEnum): MetaNoAuthProbeStatus => {
  return {
    key: v,
  };
}
