import { MetaTargetType } from "./MetaTargetType";

export interface MetaTargetZoneType extends MetaTargetType {
}

export enum MetaTargetZoneTypeEnum {
  UNKNOWN = 'UNKNOWN',
  ZONE = 'ZONE',
}

export const toMetaTargetZoneTypeEnum = (v: MetaTargetZoneType): MetaTargetZoneTypeEnum => {
  return MetaTargetZoneTypeEnum[v.key];
}

export const toMetaTargetZoneType = (v: MetaTargetZoneTypeEnum): MetaTargetZoneType => {
  return {
    key: v,
  };
}
