import { MetaProbeStatus } from '../meta';
import { Domain } from '../domain';
import { Member } from '../member';

export interface Probe {
  id?: number;
  metaProbeStatus?: MetaProbeStatus;
  description?: string;
  domain?: Domain;
  probeKey?: string;
  encryptionKey?: string;
  name?: string;
  cidr?: string;
  authorizeDate?: Date;
  authorizeMember?: Member;
  targetCount?: number;
  connectDate?: Date;
  connectAddress?: string;
  createDate?: Date;
}
