import { Sensor } from '../sensor';
import { Infra } from '../infra';
import { MetaTargetStatus, MetaTargetType} from '../meta';

export interface Target {
  id?: number;
  infra?: Infra;
  metaTargetType?: MetaTargetType;
  name?: string;
  description?: string;
  sensorCount?: number;
  createDate?: Date;
  sensors?: Sensor[];
  metaTargetStatus?: MetaTargetStatus;
}
