import { Infra } from './Infra';
import { InfraHost } from './InfraHost';
import { MetaIPType } from '../meta/MetaIPType';

export interface InfraHostIP extends Infra {
  id?: number;
  infraHost?: InfraHost;
  metaIPType?: MetaIPType;
  address?: string;
  mac?: string;
  iface: string;
  gateway: string;
  createDate?: Date;

}