import { MetaTargetType } from "./MetaTargetType";

export interface MetaTargetServiceType extends MetaTargetType {
}

export enum MetaTargetServiceTypeEnum {
  UNKNOWN = 'UNKNOWN',
}

export const toMetaTargetServiceTypeEnum = (v: MetaTargetServiceType): MetaTargetServiceTypeEnum => {
  return MetaTargetServiceTypeEnum[v.key];
}

export const toMetaTargetServiceType = (v: MetaTargetServiceTypeEnum): MetaTargetServiceType => {
  return {
    key: v,
  };
}

